Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1115670 - Review Request: nodejs-grunt-contrib-connect - Start a connect web server
Summary: Review Request: nodejs-grunt-contrib-connect - Start a connect web server
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1115664 1115700 1115701
Blocks: nodejs-reviews 1115659
TreeView+ depends on / blocked
 
Reported: 2014-07-02 21:04 UTC by Ralph Bean
Modified: 2014-11-18 12:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-24 13:42:08 UTC
tom: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Tom Hughes 2014-10-22 19:31:40 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/tom/1115670-nodejs-grunt-contrib-
     connect/licensecheck.txt
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-grunt-contrib-connect-0.8.0-1.fc22.x86_64.rpm
          nodejs-grunt-contrib-connect-0.8.0-1.fc22.src.rpm
nodejs-grunt-contrib-connect.x86_64: E: no-binary
nodejs-grunt-contrib-connect.x86_64: W: only-non-binary-in-usr-lib
nodejs-grunt-contrib-connect.x86_64: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-connect/node_modules/connect-livereload /usr/lib/node_modules/connect-livereload
nodejs-grunt-contrib-connect.x86_64: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-connect/node_modules/portscanner /usr/lib/node_modules/portscanner
nodejs-grunt-contrib-connect.x86_64: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-connect/node_modules/async /usr/lib/node_modules/async
nodejs-grunt-contrib-connect.x86_64: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-connect/node_modules/connect /usr/lib/node_modules/connect
nodejs-grunt-contrib-connect.x86_64: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-connect/node_modules/open /usr/lib/node_modules/open
2 packages and 0 specfiles checked; 1 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-grunt-contrib-connect
nodejs-grunt-contrib-connect.x86_64: E: no-binary
nodejs-grunt-contrib-connect.x86_64: W: only-non-binary-in-usr-lib
nodejs-grunt-contrib-connect.x86_64: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-connect/node_modules/connect-livereload /usr/lib/node_modules/connect-livereload
nodejs-grunt-contrib-connect.x86_64: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-connect/node_modules/portscanner /usr/lib/node_modules/portscanner
nodejs-grunt-contrib-connect.x86_64: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-connect/node_modules/async /usr/lib/node_modules/async
nodejs-grunt-contrib-connect.x86_64: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-connect/node_modules/connect /usr/lib/node_modules/connect
nodejs-grunt-contrib-connect.x86_64: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-connect/node_modules/open /usr/lib/node_modules/open
1 packages and 0 specfiles checked; 1 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-grunt-contrib-connect (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(async)
    npm(connect)
    npm(connect-livereload)
    npm(grunt)
    npm(open)
    npm(portscanner)



Provides
--------
nodejs-grunt-contrib-connect:
    nodejs-grunt-contrib-connect
    nodejs-grunt-contrib-connect(x86-64)
    npm(grunt-contrib-connect)



Source checksums
----------------
http://registry.npmjs.org/grunt-contrib-connect/-/grunt-contrib-connect-0.8.0.tgz :
  CHECKSUM(SHA256) this package     : 7bc320e15e55add0774e6f291003477ae1942c637b213e2546a80b7401cc4675
  CHECKSUM(SHA256) upstream package : 7bc320e15e55add0774e6f291003477ae1942c637b213e2546a80b7401cc4675


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1115670
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Tom Hughes 2014-10-22 19:32:14 UTC
Again this should be noarch, and you may want to think about the tests.

Comment 3 Tom Hughes 2014-10-22 20:05:37 UTC
Oh, and there is no need to add requires for npm modules to the spec - they will be added automatically.

Comment 4 Ralph Bean 2014-10-23 19:07:20 UTC
(In reply to Tom Hughes from comment #2)
> Again this should be noarch, and you may want to think about the tests.

Cool.  The next release will have the noarch declaration.

As for the tests, I'd rather leave them out to try and cut down on how large this dep chain has become.

(In reply to Tom Hughes from comment #3)
> Oh, and there is no need to add requires for npm modules to the spec - they
> will be added automatically.

Would you mind if I left them in just to be explicit and consistent with other packages?

Comment 7 Tom Hughes 2014-10-23 20:07:58 UTC
Obviously tests are only a "should" so I won't insist on them.

As far as the requires goes I have checked that they don't interfere with the (often more specific) autogenerated ones - they just create duplicates. So on that basis I won't insist on those being removed.

Given that, this is now approved.

Comment 8 Ralph Bean 2014-10-23 20:29:03 UTC
New Package SCM Request
=======================
Package Name: nodejs-grunt-contrib-connect
Short Description: Start a connect web server
Upstream URL: https://npmjs.org/package/grunt-contrib-connect
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 9 Gwyn Ciesla 2014-10-24 11:51:47 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-10-24 13:40:34 UTC
nodejs-grunt-contrib-connect-0.8.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-grunt-contrib-connect-0.8.0-2.fc21

Comment 11 Fedora Update System 2014-10-24 13:40:43 UTC
nodejs-grunt-contrib-connect-0.8.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-grunt-contrib-connect-0.8.0-2.fc20

Comment 12 Fedora Update System 2014-10-24 13:40:53 UTC
nodejs-grunt-contrib-connect-0.8.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-grunt-contrib-connect-0.8.0-2.fc19

Comment 13 Ralph Bean 2014-10-24 13:42:08 UTC
Built and buildroot overrides submitted.

Comment 14 Fedora Update System 2014-11-18 12:09:11 UTC
nodejs-grunt-contrib-connect-0.8.0-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 15 Fedora Update System 2014-11-18 12:14:02 UTC
nodejs-grunt-contrib-connect-0.8.0-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 16 Fedora Update System 2014-11-18 12:34:12 UTC
nodejs-grunt-contrib-connect-0.8.0-2.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.